
Katello - Refactor #30354

Use only public setting interface to update setting values

07/09/2020 11:28 AM - Ondřej Ezr

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Tests   

Target version: Katello 3.17.0   

Branch:  Pull request: https://github.com/Katello/katello/pull/882

6

Difficulty:  Fixed in Releases: Katello 4.0.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

Katello uses a lot of direct updates to the database in settings.

We should go through the public interface whenever possible.

Related issues:

Related to Foreman - Tracker #29939: Improve setting definition DSL and move ... Closed

Precedes Katello - Refactor #34608: Use only public setting interface to upda... Closed

Associated revisions

Revision b697ad70 - 09/01/2020 04:45 PM - Ondřej Ezr

Refs #30354 - use public setting interface in tests

History

#1 - 07/09/2020 11:28 AM - Ondřej Ezr

- Related to Tracker #29939: Improve setting definition DSL and move setting registry to memory added

#2 - 07/09/2020 11:31 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Ezr

- Pull request https://github.com/Katello/katello/pull/8826 added

#3 - 07/15/2020 05:37 PM - Jonathon Turel

- Target version set to Katello 4.0.0

- Triaged changed from No to Yes

#4 - 08/04/2020 02:34 PM - Chris Roberts

- Target version changed from Katello 4.0.0 to Katello 3.17.0

#5 - 09/16/2020 02:29 PM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

- Fixed in Releases Katello 4.0.0 added

#6 - 03/14/2022 02:31 PM - Ondřej Ezr

- Precedes Refactor #34608: Use only public setting interface to update setting values added
